## cinder 16.0.0~b2~git2020020407.819b4a0fc

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
decorator>=3.4.0 # BSD
defusedxml>=0.5.0 # PSF
eventlet!=0.23.0,!=0.25.0,>=0.22.0 # MIT
greenlet>=0.4.10 # MIT
httplib2>=0.9.1 # MIT
iso8601>=0.1.11 # MIT
jsonschema>=2.6.0 # MIT
keystoneauth1>=3.7.0 # Apache-2.0
keystonemiddleware>=4.21.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
oauth2client!=4.0.0,>=1.5.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.35.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=6.4.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.44.1 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.34.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.4.0 # LGPLv2.1+
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
psutil>=3.2.2 # BSD
pyparsing>=2.1.0 # MIT
python-barbicanclient>=4.5.2 # Apache-2.0
python-glanceclient>=2.15.0 # Apache-2.0
python-keystoneclient>=3.15.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
requests>=2.14.2,!=2.20.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes>=2.3.1 # MIT
taskflow>=3.2.0 # Apache-2.0
rtslib-fb>=2.1.65 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
tabulate>=0.8.5 # MIT
WebOb>=1.7.1 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.vmware>=2.35.0 # Apache-2.0
os-brick>=2.2.0 # Apache-2.0
os-win>=3.0.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
google-api-python-client>=1.4.2 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
cryptography>=2.1 # BSD/Apache-2.0
cursive>=0.2.1 # Apache-2.0

=== debian/changelog ===
cinder (2:16.0.0~b2~git2020020407.819b4a0fc-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop. Dropped Python2 support.
  * d/rules: Switched to pybuild.
  * d/p/skip-taskflow-tests-py37.patch: Dropped. Fixed upstream.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Added python3-tabulate.
  * d/control: Removed min version for python-hacking.
  * d/control: Added python3-sqlalchemy-utils.
  * d/p/py38skip.patch: Skip failing tests with Python3.8.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 11:33:45 +0000

## cinder 16.0.0~b3~git2020041012.eb915e2db

=== requirements.txt ===
--- 
+++ 
@@ -51,7 +51,6 @@
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 sqlalchemy-migrate>=0.11.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
-suds-jurko>=0.6 # LGPLv3+
 tabulate>=0.8.5 # MIT
 WebOb>=1.7.1 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.3  # BSD
os-api-ref>=1.4.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinx-feature-classification>=0.1.0 # Apache 2.0
mock>=2.0.0 # BSD

=== debian/changelog ===
cinder (2:16.0.0~b3~git2020041012.eb915e2db-0ubuntu1) focal; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New upstream snapshot for OpenStack Ussuri.
  * d/cinder-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 12:56:33 -0400

cinder (2:16.0.0~b3~git2020032414.a0c0a9e23-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/cinder-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 14:47:42 -0400

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.3),
 python3-tabulate,
Build-Depends-Indep:
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-cursive (>= 0.2.1),
 python3-ddt (>= 1.2.1),
 python3-decorator (>= 3.4.0),
 python3-defusedxml (>= 0.5.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.22.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.15.0),
 python3-googleapi (>= 1.4.2),
 python3-greenlet (>= 0.4.10),
 python3-hacking,
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.7.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 3.4.1),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oauth2client (>= 1.5.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-brick (>= 2.2.0),
 python3-os-win (>= 3.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.35.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 6.4.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.44.1),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.34.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslo.vmware (>= 2.35.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.7),
 python3-pycodestyle (>= 2.5.0),
 python3-pymysql (>= 0.7.6),
 python3-pyparsing (>= 2.1.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-rtslib-fb (>= 2.1.65),
 python3-six (>= 1.10.0),
 python3-sphinx-feature-classification (>= 0.1.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlalchemy-utils (>= 0.36.1),
 python3-stestr (>= 2.2.0),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 3.2.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
Standards-Version: 4.1.4
Homepage: https://launchpad.net/cinder
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
Testsuite: autopkgtest-pkg-python

Package: cinder-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Breaks:
 cinder-api (<< 2:13.0.0~rc1-0ubuntu3~),
 cinder-backup (<< 2:13.0.0~rc1-0ubuntu3~),
 cinder-scheduler (<< 2:13.0.0~rc1-0ubuntu3~),
 cinder-volume (<< 2:13.0.0~rc1-0ubuntu3~),
Replaces:
 cinder-api (<< 2:13.0.0~rc1-0ubuntu3~),
 cinder-backup (<< 2:13.0.0~rc1-0ubuntu3~),
 cinder-scheduler (<< 2:13.0.0~rc1-0ubuntu3~),
 cinder-volume (<< 2:13.0.0~rc1-0ubuntu3~),
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-scheduler
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 lvm2,
 python3-cinder (= ${binary:Version}),
 qemu-utils,
 tgt,
 ${misc:Depends},
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cryptography (>= 2.1),
 python3-cursive (>= 0.2.1),
 python3-decorator (>= 3.4.0),
 python3-defusedxml (>= 0.5.0),
 python3-eventlet (>= 0.22.0),
 python3-glanceclient (>= 1:2.15.0),
 python3-greenlet (>= 0.4.10),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.7.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 3.4.1),
 python3-migrate (>= 0.11.0),
 python3-novaclient (>= 2:9.1.0),
 python3-os-brick (>= 2.2.0),
 python3-os-win (>= 3.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.35.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 6.4.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.44.1),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.34.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslo.vmware (>= 2.35.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-pyparsing (>= 2.1.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 3.2.0),
 python3-tooz (>= 1.58.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-googleapi (>= 1.4.2),
 python3-hp3parclient,
 python3-oauth2client (>= 1.5.0),
 python3-rados,
 python3-rbd,
 python3-rtslib-fb (>= 2.1.65),
Description: Cinder Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python 3 library for Cinder.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/cinder/ cinder-(15\.\d.*)\.tar\.gz

## cinder 16.1.0

=== requirements.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
 WebOb>=1.7.1 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.vmware>=2.35.0 # Apache-2.0
-os-brick>=2.2.0 # Apache-2.0
+os-brick>=3.0.2 # Apache-2.0
 os-win>=3.0.0 # Apache-2.0
 tooz>=1.58.0 # Apache-2.0
 google-api-python-client>=1.4.2 # Apache-2.0

=== debian/changelog ===
cinder (2:16.1.0-0ubuntu1) focal-security; urgency=medium

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Ussuri (LP: #1883879).

  [ Corey Bryant ]
  * SECURITY UPDATE: Dell EMC ScaleIO/VxFlex OS Backend Credentials Exposure
    (LP: #1823200)
    - Remove VxFlex OS credentials from connection_properties. Passwords are
      now stored in separate file and are retrieved during each attach/detach
      operation. Cinder is patched in 16.1.0 stable point release.
    - d/control: Align (Build-)Depends with min version of python3-os-brick
      required to fix credential exposure.
    - CVE-2020-10755

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jun 2020 16:52:33 -0400

cinder (2:16.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/watch: Update tarball version.
  * d/p/py38skip.patch: Refresh patch.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 May 2020 13:45:11 -0400

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
  python3-oauth2client (>= 1.5.0),
  python3-openstackdocstheme (>= 1.20.0),
  python3-os-api-ref (>= 1.4.0),
- python3-os-brick (>= 2.2.0),
+ python3-os-brick (>= 3.0.1-0ubuntu1.1~),
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
@@ -219,7 +219,7 @@
  python3-lxml (>= 3.4.1),
  python3-migrate (>= 0.11.0),
  python3-novaclient (>= 2:9.1.0),
- python3-os-brick (>= 2.2.0),
+ python3-os-brick (>= 3.0.1-0ubuntu1.1~),
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),

## cinder 16.2.0

=== debian/changelog ===
cinder (2:16.2.0-0ubuntu1) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New stable point release for OpenStack Ussuri (LP: #1900477).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Oct 2020 14:37:28 -0400

## cinder 16.2.1

=== debian/changelog ===
cinder (2:16.2.1-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1912322).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 19 Jan 2021 10:33:38 +0000

=== debian/control ===
--- 
+++ 
@@ -100,8 +100,8 @@
  python3-webob (>= 1:1.7.1),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/cinder
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
 Testsuite: autopkgtest-pkg-python
 
 Package: cinder-api

## cinder 16.3.0

=== debian/changelog ===
cinder (2:16.3.0-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1923036).
  * d/p/rbd-retry-delete.patch: Removed after fix landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 12 Apr 2021 12:13:29 +0000

cinder (2:16.2.1-0ubuntu2) focal; urgency=medium

  * d/p/rbd-retry-delete.patch: Fix RBD mirroring race by retrying volume delete
    if VolumeIsBusy in _copy_image_to_volume (LP: #1900775).
  * d/p/add-mock-psutil-in-quobyte-tests.patch: Add a mock of psutil
    disk_partitions to fix failing unit test (LP: #1913607).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jan 2021 15:28:53 -0500

## cinder 16.4.1

=== debian/changelog ===
cinder (2:16.4.1-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1948914).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Oct 2021 07:01:38 +0000

cinder (2:16.4.0-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1941048).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 25 Aug 2021 12:03:15 +0000

## cinder 16.4.2

=== requirements.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 oauth2client!=4.0.0,>=1.5.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.context>=2.19.2 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
 oslo.db>=4.35.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.messaging>=6.4.0 # Apache-2.0
@@ -25,8 +25,8 @@
 oslo.privsep>=1.32.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
-oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.serialization>=3.1.2 # Apache-2.0
+oslo.service>=1.31.0 # Apache-2.0
 oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.34.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
@@ -41,7 +41,7 @@
 python-keystoneclient>=3.15.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
-pytz>=2013.6 # MIT
+pytz>=2015.7 # MIT
 requests>=2.14.2,!=2.20.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 Routes>=2.3.1 # MIT
@@ -55,10 +55,10 @@
 WebOb>=1.7.1 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.vmware>=2.35.0 # Apache-2.0
-os-brick>=3.0.2 # Apache-2.0
-os-win>=3.0.0 # Apache-2.0
+os-brick>=3.0.3 # Apache-2.0
+os-win>=4.1.0 # Apache-2.0
 tooz>=1.58.0 # Apache-2.0
 google-api-python-client>=1.4.2 # Apache-2.0
 castellan>=0.16.0 # Apache-2.0
-cryptography>=2.1 # BSD/Apache-2.0
+cryptography>=2.1.4 # BSD/Apache-2.0
 cursive>=0.2.1 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.0.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=2.0.0  # BSD
os-api-ref>=1.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinx-feature-classification>=0.1.0 # Apache 2.0

=== debian/changelog ===
cinder (2:16.4.2-0ubuntu2.9) focal-security; urgency=medium

  * SECURITY REGRESSION: regression due to missing privset handling
  (LP: #2085851)
    - debian/patches/CVE-2024-32498.patch: switch to final upstream patch
      which differs from the patch provided during embargo.
    - debian/patches/fix_CVE-2022-47951_test.patch: fix test after updating
      CVE-2024-32498 patch.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Nov 2024 08:29:59 -0500

cinder (2:16.4.2-0ubuntu2.8) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498.patch: check for external qcow2 data
      file.
    - debian/patches/fix_CVE-2022-47951_test.patch: fix test after more
      extensive CVE-2024-32498 image checking.
    - debian/control: added qemu-utils to Build-Depends so qemu-img is
      available for new tests.
    - CVE-2024-32498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Jun 2024 22:31:35 -0400

cinder (2:16.4.2-0ubuntu2.6) focal; urgency=medium

  * HPE3PAR: Failing to clone a volume having children (LP: #1994521):
    - d/p/lp1994521-0001-HPE-3PAR-In-multi-host-env-fix-multi-detach-operatio.patch
    - d/p/lp1994521-0002-HPE-3PAR-Fix-umanaged-volumes-snapshots-missing.patch
    - d/p/lp1994521-0003-3PAR-Error-out-if-vol-cannot-be-converted-to-base.patch
    - api 4.0.16 and 4.0.17 are added as it is in the middle of the main patch
      (4.0.18)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Wed, 08 May 2024 03:14:27 +0000

cinder (2:16.4.2-0ubuntu2.5) focal; urgency=medium

  [ Heather Lemon ]
  * Start cinder-volume.service after tgt.service started (LP: #1987663)
    - d/cinder-volume.service.conf: drop-in with 'After=' and 'Wants='
    ('Wants=' is not generated by pkgos-gen-systemd-unit currently).
    - d/cinder-volume.install: ship the systemd service drop-in file.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 19 Apr 2024 11:24:33 -0300

cinder (2:16.4.2-0ubuntu2.4) focal-security; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 11:30:20 -0400

cinder (2:16.4.2-0ubuntu2.3) focal-security; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Reject unsafe delete
      attachment calls.
    - debian/patches/move-unit-test-code-under-tests-unit.patch: Required
      for CVE-2023-2088.patch.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 May 2023 08:42:36 -0400

cinder (2:16.4.2-0ubuntu2.2) focal-security; urgency=medium

  * SECURITY UPDATE: incorrect VMDK subformat check
    - debian/patches/use_json_format.patch: switch qemu_img_info to json
      format or the format_specific attribute will always be empty,
      resulting in check_vmdk_image() always returning an error.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 Feb 2023 17:11:18 -0500

cinder (2:16.4.2-0ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access
    - debian/patches/CVE-2022-47951.patch: Check VMDK subformat
      against an allowed list.
    - CVE-2022-47951

 -- Corey Bryant <corey.bryant@canonical.com>  Sun, 29 Jan 2023 11:10:33 -0500

cinder (2:16.4.2-0ubuntu2) focal; urgency=medium

  * d/p/3par-iscsi-driver-primera.patch: Add iSCSI support to
    HPE 3PAR driver for Primera 4.2 and higher (LP: #1959712).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Feb 2022 08:30:46 -0500

cinder (2:16.4.2-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1956994).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 11 Jan 2022 21:10:37 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.3),
  python3-tabulate,
+ qemu-utils,
 Build-Depends-Indep:
  python3-barbicanclient (>= 4.5.2),
  python3-castellan (>= 0.16.0),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,systemd,apache2 --buildsystem=pybuild

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*-cinder/usr/etc

override_dh_install:
	dh_install --fail-missing -Xbin/cinder-all -Xusr/bin/cinder-api

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf

override_dh_clean:
	# temporary workaround for d2to1 wonkyness
	dh_clean -Xsetup.cfg
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs .testrepository

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/cinder/ cinder-(16\.\d.*)\.tar\.gz

## cinder 17.0.0

=== debian/changelog ===
cinder (2:17.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 09:42:29 +0000

cinder (2:17.0.0~rc2-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Track 17.x series.
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 12 Oct 2020 13:38:52 +0000

cinder (2:17.0.0~b3~git2020091007.afcaf0b9d-0ubuntu3) groovy; urgency=medium

  * d/py3dist-overrides: Add python3-zstd to py3dist-overrides.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 23 Sep 2020 06:23:59 +0000

cinder (2:17.0.0~b3~git2020091007.afcaf0b9d-0ubuntu2) groovy; urgency=medium

  * d/p/skip-victoria-failures.patch: Restored to skip failing unit tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Sep 2020 16:16:06 -0400

cinder (2:17.0.0~b3~git2020091007.afcaf0b9d-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Removed. Changes landed upstream and tests fixed.
  * d/control: Add new python3-zstd package to depends.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 10 Sep 2020 07:36:05 +0000

cinder (2:17.0.0~b2~git2020073012.2124f39f9-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/p/*: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 12:40:03 +0000

cinder (2:17.0.0~b1~git2020062409.85fcf1057-0ubuntu1) groovy; urgency=medium

  * SECURITY UPDATE: Dell EMC ScaleIO/VxFlex OS Backend Credentials Exposure
    (LP: #1823200)
    - Remove VxFlex OS credentials from connection_properties. Passwords are
      now stored in separate file and are retrieved during each attach/detach
      operation. Cinder is patched in 16.1.0 stable point release.
    - d/control: Align (Build-)Depends with min version of python3-os-brick
      required to fix credential exposure.
    - CVE-2020-10755
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/py38skip.patch: Dropped. No longer needed.
  * d/p/skip-victoria-failures.patch: Rebased and updated with upstream bug.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jun 2020 09:10:19 -0400

cinder (2:16.0.0-0ubuntu2) groovy; urgency=medium

  * d/p/skip-victoria-failures.patch: Temporarily skipping groovy
    failures to unblock Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 May 2020 16:29:14 -0400

cinder (2:16.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Update tarball version.
  * d/p/py38skip.patch: Refresh patch.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Removed as it is
    merged into rc3 upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 13 May 2020 15:20:20 +0000

cinder (2:16.0.0~b3~git2020041012.eb915e2db-0ubuntu2) groovy; urgency=medium

  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/724754. This fixes neutron service failures
    with Python 3.8 (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2020 16:44:03 -0400

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 5.4.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-tabulate (>= 0.8.5),
Build-Depends-Indep:
 python3-barbicanclient (>= 4.9.0),
 python3-castellan (>= 1.3.0),
 python3-coverage (>= 4.1),
 python3-cryptography (>= 2.1.4),
 python3-cursive (>= 0.2.1),
 python3-ddt (>= 1.2.1),
 python3-decorator (>= 4.1.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.26.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.15.0),
 python3-googleapi (>= 1.4.2),
 python3-greenlet (>= 0.4.15),
 python3-hacking (>= 1.1.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.2.0),
 python3-migrate (>= 0.13.0),
 python3-mock (>= 2.0.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oauth2client (>= 1.5.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.5.0),
 python3-os-brick (>= 4.0.1),
 python3-os-win (>= 4.2.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.11.0),
 python3-oslo.context (>= 1:2.23.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.24.0),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 6.4.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.44.1),
 python3-oslo.privsep (>= 2.3.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 2.0.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.40.2),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslo.vmware (>= 2.35.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.7.1),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8),
 python3-pymysql (>= 0.8.0),
 python3-pyparsing (>= 2.2.1),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-rtslib-fb (>= 2.1.65),
 python3-six (>= 1.11.0),
 python3-sphinx-feature-classification (>= 0.1.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.3.0),
 python3-sqlalchemy-utils (>= 0.36.1),
 python3-stestr (>= 2.2.0),
 python3-stevedore (>= 1:1.31.0),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 3.8.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tooz (>= 1.58.0),
 python3-tz (>= 2015.7),
 python3-webob (>= 1:1.7.1),
 python3-zstd (>= 1.4.5.0),
Standards-Version: 4.1.4
Homepage: https://launchpad.net/cinder
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Testsuite: autopkgtest-pkg-python

Package: cinder-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-scheduler
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 lvm2,
 python3-cinder (= ${binary:Version}),
 qemu-utils,
 tgt,
 ${misc:Depends},
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 python3-barbicanclient (>= 4.9.0),
 python3-castellan (>= 1.3.0),
 python3-cryptography (>= 2.1.4),
 python3-cursive (>= 0.2.1),
 python3-decorator (>= 4.1.0),
 python3-eventlet (>= 0.26.0),
 python3-glanceclient (>= 1:2.15.0),
 python3-greenlet (>= 0.4.15),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.2.0),
 python3-migrate (>= 0.13.0),
 python3-novaclient (>= 2:9.1.0),
 python3-os-brick (>= 4.0.1),
 python3-os-win (>= 4.2.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.11.0),
 python3-oslo.context (>= 1:2.23.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.24.0),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 6.4.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.44.1),
 python3-oslo.privsep (>= 2.3.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 2.0.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.40.2),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslo.vmware (>= 2.35.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.7.1),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 5.4.1),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-pyparsing (>= 2.2.1),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.3.0),
 python3-stevedore (>= 1:1.31.0),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.2.0),
 python3-tabulate (>= 0.8.5),
 python3-taskflow (>= 3.8.0),
 python3-tenacity (>= 6.1.0),
 python3-tooz (>= 1.58.0),
 python3-tz (>= 2015.7),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-googleapi (>= 1.4.2),
 python3-hp3parclient,
 python3-oauth2client (>= 1.5.0),
 python3-rados,
 python3-rbd,
 python3-rtslib-fb (>= 2.1.65),
 python3-zstd (>= 1.4.5.0),
Description: Cinder Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python 3 library for Cinder.
